Package org.flowable.cmmn.api.migration

# Interface CaseInstanceMigrationDocumentBuilder

public interface CaseInstanceMigrationDocumentBuilder

Author:
  Valentin Zickner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CaseInstanceMigrationDocumentBuilder`
  `addActivatePlanItemDefinitionMapping(ActivatePlanItemDefinitionMapping planItemDefinitionMapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addActivatePlanItemDefinitionMappings(List<ActivatePlanItemDefinitionMapping> planItemDefinitionMappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addCaseInstanceVariable(String variableName, Object variableValue)`
  `CaseInstanceMigrationDocumentBuilder`
  `addCaseInstanceVariables(Map<String,Object> caseInstanceVariables)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemDefinitionWithNewTargetIdsMapping(ChangePlanItemDefinitionWithNewTargetIdsMapping mapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemDefinitionWithNewTargetIdsMappings(List<ChangePlanItemDefinitionWithNewTargetIdsMapping> mappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemIdMapping(ChangePlanItemIdMapping mapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemIdMappings(List<ChangePlanItemIdMapping> mappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemIdWithDefinitionIdMapping(ChangePlanItemIdWithDefinitionIdMapping mapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addChangePlanItemIdWithDefinitionIdMappings(List<ChangePlanItemIdWithDefinitionIdMapping> mappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addMoveToAvailablePlanItemDefinitionMapping(MoveToAvailablePlanItemDefinitionMapping planItemDefinitionMapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addMoveToAvailablePlanItemDefinitionMappings(List<MoveToAvailablePlanItemDefinitionMapping> planItemDefinitionMappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addRemoveWaitingForRepetitionPlanItemDefinitionMapping(RemoveWaitingForRepetitionPlanItemDefinitionMapping planItemDefinitionMapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addRemoveWaitingForRepetitionPlanItemDefinitionMappings(List<RemoveWaitingForRepetitionPlanItemDefinitionMapping> planItemDefinitionMappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addTerminatePlanItemDefinitionMapping(TerminatePlanItemDefinitionMapping planItemDefinitionMapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addTerminatePlanItemDefinitionMappings(List<TerminatePlanItemDefinitionMapping> planItemDefinitionMappings)`
  `CaseInstanceMigrationDocumentBuilder`
  `addWaitingForRepetitionPlanItemDefinitionMapping(WaitingForRepetitionPlanItemDefinitionMapping planItemDefinitionMapping)`
  `CaseInstanceMigrationDocumentBuilder`
  `addWaitingForRepetitionPlanItemDefinitionMappings(List<WaitingForRepetitionPlanItemDefinitionMapping> planItemDefinitionMappings)`
  `CaseInstanceMigrationDocument`
  `build()`
  `CaseInstanceMigrationDocumentBuilder`
  `postUpgradeExpression(String postUpgradeExpression)`
  `CaseInstanceMigrationDocumentBuilder`
  `preUpgradeExpression(String preUpgradeExpression)`
  `CaseInstanceMigrationDocumentBuilder`
  `setCaseDefinitionToMigrateTo(String caseDefinitionId)`
  `CaseInstanceMigrationDocumentBuilder`
  `setCaseDefinitionToMigrateTo(String caseDefinitionKey, Integer caseDefinitionVersion)`
  `CaseInstanceMigrationDocumentBuilder`
  `setTenantId(String caseDefinitionTenantId)`

- ## Method Details

  - ### setCaseDefinitionToMigrateTo

    CaseInstanceMigrationDocumentBuilder setCaseDefinitionToMigrateTo(String caseDefinitionId)

  - ### setCaseDefinitionToMigrateTo

    CaseInstanceMigrationDocumentBuilder setCaseDefinitionToMigrateTo(String caseDefinitionKey, Integer caseDefinitionVersion)

  - ### setTenantId

    CaseInstanceMigrationDocumentBuilder setTenantId(String caseDefinitionTenantId)

  - ### addActivatePlanItemDefinitionMappings

    CaseInstanceMigrationDocumentBuilder addActivatePlanItemDefinitionMappings(List<ActivatePlanItemDefinitionMapping> planItemDefinitionMappings)

  - ### addActivatePlanItemDefinitionMapping

    CaseInstanceMigrationDocumentBuilder addActivatePlanItemDefinitionMapping(ActivatePlanItemDefinitionMapping planItemDefinitionMapping)

  - ### addTerminatePlanItemDefinitionMappings

    CaseInstanceMigrationDocumentBuilder addTerminatePlanItemDefinitionMappings(List<TerminatePlanItemDefinitionMapping> planItemDefinitionMappings)

  - ### addTerminatePlanItemDefinitionMapping

    CaseInstanceMigrationDocumentBuilder addTerminatePlanItemDefinitionMapping(TerminatePlanItemDefinitionMapping planItemDefinitionMapping)

  - ### addMoveToAvailablePlanItemDefinitionMappings

    CaseInstanceMigrationDocumentBuilder addMoveToAvailablePlanItemDefinitionMappings(List<MoveToAvailablePlanItemDefinitionMapping> planItemDefinitionMappings)

  - ### addMoveToAvailablePlanItemDefinitionMapping

    CaseInstanceMigrationDocumentBuilder addMoveToAvailablePlanItemDefinitionMapping(MoveToAvailablePlanItemDefinitionMapping planItemDefinitionMapping)

  - ### addWaitingForRepetitionPlanItemDefinitionMappings

    CaseInstanceMigrationDocumentBuilder addWaitingForRepetitionPlanItemDefinitionMappings(List<WaitingForRepetitionPlanItemDefinitionMapping> planItemDefinitionMappings)

  - ### addWaitingForRepetitionPlanItemDefinitionMapping

    CaseInstanceMigrationDocumentBuilder addWaitingForRepetitionPlanItemDefinitionMapping(WaitingForRepetitionPlanItemDefinitionMapping planItemDefinitionMapping)

  - ### addRemoveWaitingForRepetitionPlanItemDefinitionMappings

    CaseInstanceMigrationDocumentBuilder addRemoveWaitingForRepetitionPlanItemDefinitionMappings(List<RemoveWaitingForRepetitionPlanItemDefinitionMapping> planItemDefinitionMappings)

  - ### addRemoveWaitingForRepetitionPlanItemDefinitionMapping

    CaseInstanceMigrationDocumentBuilder addRemoveWaitingForRepetitionPlanItemDefinitionMapping(RemoveWaitingForRepetitionPlanItemDefinitionMapping planItemDefinitionMapping)

  - ### addChangePlanItemIdMapping

    CaseInstanceMigrationDocumentBuilder addChangePlanItemIdMapping(ChangePlanItemIdMapping mapping)

  - ### addChangePlanItemIdMappings

    CaseInstanceMigrationDocumentBuilder addChangePlanItemIdMappings(List<ChangePlanItemIdMapping> mappings)

  - ### addChangePlanItemIdWithDefinitionIdMapping

    CaseInstanceMigrationDocumentBuilder addChangePlanItemIdWithDefinitionIdMapping(ChangePlanItemIdWithDefinitionIdMapping mapping)

  - ### addChangePlanItemIdWithDefinitionIdMappings

    CaseInstanceMigrationDocumentBuilder addChangePlanItemIdWithDefinitionIdMappings(List<ChangePlanItemIdWithDefinitionIdMapping> mappings)

  - ### addChangePlanItemDefinitionWithNewTargetIdsMapping

    CaseInstanceMigrationDocumentBuilder addChangePlanItemDefinitionWithNewTargetIdsMapping(ChangePlanItemDefinitionWithNewTargetIdsMapping mapping)

  - ### addChangePlanItemDefinitionWithNewTargetIdsMappings

    CaseInstanceMigrationDocumentBuilder addChangePlanItemDefinitionWithNewTargetIdsMappings(List<ChangePlanItemDefinitionWithNewTargetIdsMapping> mappings)

  - ### addCaseInstanceVariable

    CaseInstanceMigrationDocumentBuilder addCaseInstanceVariable(String variableName, Object variableValue)

  - ### addCaseInstanceVariables

    CaseInstanceMigrationDocumentBuilder addCaseInstanceVariables(Map<String,Object> caseInstanceVariables)

  - ### preUpgradeExpression

    CaseInstanceMigrationDocumentBuilder preUpgradeExpression(String preUpgradeExpression)

  - ### postUpgradeExpression

    CaseInstanceMigrationDocumentBuilder postUpgradeExpression(String postUpgradeExpression)

  - ### build

    CaseInstanceMigrationDocument build()